ATA_PCI_REMOVE_ONE(9)

NAME
ata_pci_remove_one - PCI layer callback for device removal

SYNOPSIS

void ata_pci_remove_one (struct pci_dev * pdev);

ARGUMENTS

pdev
    PCI device that was removed

DESCRIPTION

PCI layer indicates to libata via this hook that hot-unplug or module unload event has occurred. Handle this by unregistering all objects associated with this PCI device. Free those objects. Then finally release PCI resources and disable device.

LOCKING

Inherited from PCI layer (may sleep).

AUTHOR
Jeff Garzik.